create_rgb_table(3)

NAME
create_rgb_table

SYNOPSIS
#include <allegro.h>

void create_rgb_table(RGB_MAP *table, const PALETTE pal, void (*callback)(int pos));

DESCRIPTION
Fills the specified RGB mapping table with lookup data for the specified palette. If the callback function is not NULL, it will be called 256 times during the calculation, allowing you to display a progress indicator.

SEE ALSO
rgb_map(3)